#include "fs/devices/NullDevice.h"

Result<void> NullDevice::create()
{
    auto device = (SharedPtr<Device>)TRY(make_shared<NullDevice>());
    return DeviceRegistry::register_special_device(DeviceRegistry::Memory, 0, device);
}
