/* bits/attrs.h: Macros wrapping GCC attributes for use in the standard library. */

#ifndef _BITS_ATTRS_H
#define _BITS_ATTRS_H

#if !defined(_STDLIB_H) && !defined(_UNISTD_H) && !defined(_STRING_H) && !defined(_ASSERT_H) && !defined(_SETJMP_H) && \
    !defined(_SYS_TIME_H)
#error "Never include bits/attrs.h directly; use one of the standard library headers."
#endif

#define __noreturn __attribute__((noreturn))
#define __deprecated __attribute__((deprecated))

#endif
