/* bits/fixed-size-types.h: Fixed size types for internal use. Do not use in applications, include <stdint.h>. */

#ifndef _BITS_FIXED_SIZE_TYPES_H
#define _BITS_FIXED_SIZE_TYPES_H

#if !defined(_SYS_TYPES_H) && !defined(_BITS_SETJMP_TYPES_H) && !defined(_BITS_MAKEDEV_H) &&                           \
    !defined(_BITS_TERMIOS_H) && !defined(_BITS_POLL_H)
#error "Never include bits/fixed-size-types.h, use the standard <stdint.h> header instead."
#endif

#if defined(__GNUC__)
typedef __INT8_TYPE__ __i8_t;
typedef __UINT8_TYPE__ __u8_t;
typedef __INT16_TYPE__ __i16_t;
typedef __UINT16_TYPE__ __u16_t;
typedef __INT32_TYPE__ __i32_t;
typedef __UINT32_TYPE__ __u32_t;
typedef __INT64_TYPE__ __i64_t;
typedef __UINT64_TYPE__ __u64_t;
#else
#error "Unsupported compiler"
#endif

#endif
