/* strings.h: String operations. */

#ifndef _STRINGS_H
#define _STRINGS_H

#include <sys/types.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Compare two null-terminated strings, ignoring case. */
    int strcasecmp(const char* a, const char* b);

    /* Compare two fixed-size null-terminated strings, ignoring case. */
    int strncasecmp(const char* a, const char* b, size_t max);

#ifdef __cplusplus
}
#endif

#endif
