#include <assert.h>
#include <luna/Attributes.h>
#include <stdio.h>
#include <stdlib.h>

extern "C"
{
    _weak [[noreturn]] void __assertion_failed(const char* file, int line, const char* function, const char* expr)
    {
        fprintf(stderr, "%s:%d: %s: Assertion '%s' failed.\n", file, line, function, expr);
        abort();
    }
}
