#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

fakeroot -u -s $LUNA_ROOT/.fakeroot -- tools/install.sh

fakeroot -u -i $LUNA_ROOT/.fakeroot -- genext2fs -d base -B 4096 -b 8192 -L luna-rootfs -N 2048 build/ext2fs.bin

mkbootimg luna.json Luna.iso
