#pragma once
#include <luna/Types.h>

namespace Framebuffer
{
    void init();
    void update(u8* ptr, u32 size, u32 width, u32 height, u32 scanline);

    void pixel(u32 x, u32 y, u32 color);
    void rect(u32 x, u32 y, u32 w, u32 h, u32 color);
    void rect(u32 x, u32 y, u32 w, u32 h, u32* colors);

    u8* ptr();
    u32 size();
    u32 width();
    u32 height();
    u32 scanline();
}
