/* bits/locale-cat.h: Locale categories. */

#ifndef _BITS_LOCALE_CAT_H
#define _BITS_LOCALE_CAT_H

enum __libc_locale_category
{
    LC_ALL,      // Controls all locales.
    LC_CTYPE,    // Character classification and case conversion.
    LC_COLLATE,  // Collation order.
    LC_MONETARY, // Monetary formatting.
    LC_NUMERIC,  // Numeric, non-monetary formatting.
    LC_TIME,     // Date and time formats.
    LC_MESSAGES, // Formats of informative and diagnostic messages and interactive responses.
    __num_locale_categories,
};

#endif
