/* bits/setjmp-types.h: Architecture-dependent definitions for jmp_buf/sigjmp_buf. */

#ifndef _BITS_SETJMP_TYPES_H
#define _BITS_SETJMP_TYPES_H

#include <bits/fixed-size-types.h>
#include <bits/platform.h>
#include <bits/signal.h>

#ifndef _SETJMP_H
#error "Never use bits/setjmp-types.h directly; include setjmp.h instead."
#endif

#ifdef __libc_arch_x86_64
typedef __u64_t jmp_buf[8];
typedef struct
{
    jmp_buf buf;
    sigset_t set;
    int saved;
} __sigjmp_buf_tag;
typedef __sigjmp_buf_tag sigjmp_buf[1];
#else
#error "Unsupported architecture."
#endif

#endif
