/* bits/struct_stat.h: The stat structure. */

#ifndef _BITS_STRUCT_STAT_H
#define _BITS_STRUCT_STAT_H

#include <sys/types.h>

struct stat
{
    ino_t st_ino;
    mode_t st_mode;
    nlink_t st_nlink;
    dev_t st_dev;
    uid_t st_uid;
    gid_t st_gid;
    off_t st_size;
    dev_t st_rdev;
    // FIXME: Actually fill these fields in.
    time_t st_atime;
    time_t st_mtime;
    time_t st_ctime;
};

#endif
