/* sys/mman.h: Memory allocation and deallocation. */

#ifndef _SYS_MMAN_H
#define _SYS_MMAN_H

#include <bits/mmap-flags.h>
#include <sys/types.h>

#define PAGE_SIZE 4096UL

#define MAP_FAILED (void*)-1

#ifdef __cplusplus
extern "C"
{
#endif

    /* Map a file into memory. */
    void* mmap(void* addr, size_t len, int prot, int flags, int fd, off_t offset);

    /* Remove a memory mapping. */
    int munmap(void* addr, size_t len);

#ifdef __cplusplus
}
#endif

#endif
