/* sys/mount.h: Virtual file system mounting operations. */

#ifndef _SYS_MOUNT_H
#define _SYS_MOUNT_H

#ifdef __cplusplus
extern "C"
{
#endif

    /* Mount a file system on target. */
    int mount(const char* target, const char* fstype, const char* source);

    /* Unmount the file system mounted on target. */
    int umount(const char* target);

#ifdef __cplusplus
}
#endif

#endif
