/* sys/pstat.h: The pstat() system call. */

#ifndef _SYS_PSTAT_H
#define _SYS_PSTAT_H

#include <bits/pstat.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Retrieve information about a process. */
    pid_t pstat(pid_t pid, struct process* ps);

    /* Get a string representing a process' state. */
    const char* ps_state_name(int state);

#ifdef __cplusplus
}
#endif

#endif
