/* termios.h: Terminal device control. */

#ifndef _TERMIOS_H
#define _TERMIOS_H

#include <bits/termios.h>
#include <sys/types.h>

#define TCSANOW 0

#ifdef __cplusplus
extern "C"
{
#endif

    /* Fetch attributes associated with a terminal file descriptor. */
    int tcgetattr(int fd, struct termios* termp);

    /* Set attributes associated with a terminal file descriptor. */
    int tcsetattr(int fd, int act, const struct termios* termp);

#ifdef __cplusplus
}
#endif

#endif
