#include <ctype.h>
#include <luna/CType.h>

#define ctype_wrapper(a, b)                                                                                            \
    int a(int c)                                                                                                       \
    {                                                                                                                  \
        return b(c);                                                                                                   \
    }

// clang-format off

extern "C"
{
    ctype_wrapper(isalnum, _isalnum)
    ctype_wrapper(isalpha, _isalpha)
    ctype_wrapper(isascii, _isascii)
    ctype_wrapper(iscntrl, _iscntrl)
    ctype_wrapper(isdigit, _isdigit)
    ctype_wrapper(isxdigit, _isxdigit)
    ctype_wrapper(isspace, _isspace)
    ctype_wrapper(ispunct, _ispunct)
    ctype_wrapper(isprint, _isprint)
    ctype_wrapper(isgraph, _isgraph)
    ctype_wrapper(islower, _islower)
    ctype_wrapper(isupper, _isupper)
    ctype_wrapper(isblank, _isblank)
    ctype_wrapper(tolower, _tolower)
    ctype_wrapper(toupper, _toupper)
}

// clang-format on
