#pragma once
#include <luna/Types.h>

struct Stack
{
    Stack() = default;
    Stack(u64 base, usize bytes);

    u64 bottom() const
    {
        return m_base;
    }

    u64 top() const;

    usize bytes() const
    {
        return m_bytes;
    }

  private:
    u64 m_base { 0 };
    usize m_bytes { 0 };
};
