#pragma once
#include <luna/Result.h>
#include <luna/String.h>

enum class Unit : usize
{
    SI = 1000,
    Binary = 1024
};

Result<String> to_dynamic_unit(usize value, usize round_after = 1000, bool separate = true, Unit unit = Unit::Binary,
                               bool display_unit = true);
