#!/usr/bin/env bash

set -e
source $(dirname $0)/env.sh

cd $LUNA_ROOT

if [ -c /dev/kvm ]
then
EXTRA_FLAGS="-enable-kvm"
else
EXTRA_FLAGS=""
fi

qemu-system-$LUNA_ARCH -cdrom Luna.iso -smp 1 -m 256M -serial stdio $EXTRA_FLAGS $@
