#!/usr/bin/env bash

set -e
source $(dirname $0)/env.sh

cd $LUNA_ROOT

mkdir -p toolchain/dist

cd toolchain

git clone https://gitlab.com/bztsrc/bootboot.git

patch -u -i $LUNA_ROOT/tools/mkbootimg.patch -p 1 -d bootboot

cd bootboot/mkbootimg

make -j$(nproc)

cp ./mkbootimg ../../dist/mkbootimg
rm ../mkbootimg-*.zip
