#!/usr/bin/env bash
set -e
source $(dirname $0)/setup-env.sh

if [ -x "$(command -v $LUNA_ARCH-luna-gcc)" ]
then
    if [ "$($LUNA_ARCH-luna-gcc --version | head -n 1 | awk '{ print $3 }')" == "$LUNA_GCC_VERSION_REQUIRED" ]
    then
        exit 0
    else
        exit 1
    fi
else
exit 1
fi
